diff options
author | Bernhard Voelker <mail@bernhard-voelker.de> | 2015-01-31 17:39:04 +0100 |
---|---|---|
committer | Bernhard Voelker <mail@bernhard-voelker.de> | 2015-01-31 17:39:04 +0100 |
commit | a5c8cdff03182ceafae39ccde6a07ebd8660b087 (patch) | |
tree | 45a3c3a812b48c5633a6bc767c90b45da440be32 /tests | |
parent | ecc8f8104893f1eaae8a8e7e3e55c8c42f4c7206 (diff) | |
download | coreutils-a5c8cdff03182ceafae39ccde6a07ebd8660b087.tar.xz |
doc,maint: fix use of "i.e." in documentation and comments
To align with all other places (and correct grammar), change all
upper-case "I.E." to "I.e.". Furthermore, ensure that "i.e." is
followed by a comma. Finally, ensure to use a double-space before
"I.e.," at the beginning of a sentence.
The following was used to change all offending uses (apart from
old ChangeLog files):
$ git grep -liF 'i.e.' \
| xargs sed -i \
-e 's/I\.E\./I.e./g' \
-e 's/\. \(I\.e\.\)/. \1/g' \
-e 's/\([Ii]\.e\.\)\( \)/\1,\2/g' \
-e 's/\([Ii]\.e\.\)$/\1,/g'
* cfg.mk (sc_prohibit_uppercase_id_est): Add new rule.
(sc_ensure_double_space_after_dot_before_id_est): Likewise.
(sc_ensure_comma_after_id_est): Likewise.
(old_NEWS_hash): Refresh hash via "make update-NEWS-hash".
* NEWS: Change use of "id est" abbreviation via the above command.
* README: Likewise.
* README-prereq: Likewise.
* doc/coreutils.texi: Likewise.
* gl/lib/rand-isaac.c: Likewise.
* gl/lib/tempname.c.diff: Likewise.
* man/stdbuf.x: Likewise.
* src/cat.c: Likewise.
* src/copy.c: Likewise.
* src/copy.h: Likewise.
* src/cp.c: Likewise.
* src/cut.c: Likewise.
* src/dd.c: Likewise.
* src/df.c: Likewise.
* src/fiemap.h: Likewise.
* src/longlong.h: Likewise.
* src/ls.c: Likewise.
* src/numfmt.c: Likewise.
* src/pr.c: Likewise.
* src/shred.c: Likewise.
* src/shuf.c: Likewise.
* src/split.c: Likewise.
* tests/Coreutils.pm: Likewise.
* tests/df/df-symlink.sh: Likewise.
* tests/df/skip-rootfs.sh: Likewise.
* tests/init.sh: Likewise.
* tests/ls/color-norm.sh: Likewise.
* tests/misc/basename.pl: Likewise.
* tests/misc/ls-misc.pl: Likewise.
* tests/misc/md5sum-bsd.sh: Likewise.
* tests/misc/shred-exact.sh: Likewise.
* tests/misc/sort.pl: Likewise.
* tests/misc/stdbuf.sh: Likewise.
* tests/misc/tac-continue.sh: Likewise.
* tests/rm/r-root.sh: Likewise.
* tests/tail-2/symlink.sh: Likewise.
Diffstat (limited to 'tests')
-rw-r--r-- | tests/Coreutils.pm | 4 | ||||
-rwxr-xr-x | tests/df/df-symlink.sh | 2 | ||||
-rwxr-xr-x | tests/df/skip-rootfs.sh | 2 | ||||
-rwxr-xr-x | tests/init.sh | 2 | ||||
-rwxr-xr-x | tests/ls/color-norm.sh | 2 | ||||
-rwxr-xr-x | tests/misc/basename.pl | 2 | ||||
-rwxr-xr-x | tests/misc/ls-misc.pl | 2 | ||||
-rwxr-xr-x | tests/misc/md5sum-bsd.sh | 2 | ||||
-rwxr-xr-x | tests/misc/shred-exact.sh | 2 | ||||
-rwxr-xr-x | tests/misc/sort.pl | 4 | ||||
-rwxr-xr-x | tests/misc/stdbuf.sh | 2 | ||||
-rwxr-xr-x | tests/misc/tac-continue.sh | 2 | ||||
-rwxr-xr-x | tests/rm/r-root.sh | 2 | ||||
-rwxr-xr-x | tests/tail-2/symlink.sh | 4 |
14 files changed, 17 insertions, 17 deletions
diff --git a/tests/Coreutils.pm b/tests/Coreutils.pm index 7c2ae87ee..bd2088f65 100644 --- a/tests/Coreutils.pm +++ b/tests/Coreutils.pm @@ -91,7 +91,7 @@ defined $ENV{DJDIR} # If the EXIT-keyed one is omitted, then expect the exit status to be zero. # FIXME: Make sure that no junkfile is also listed as a -# non-junkfile (i.e. with undef for contents) +# non-junkfile (i.e., with undef for contents) sub _shell_quote ($) { @@ -576,7 +576,7 @@ sub run_tests ($$$$$) } # For each test in @$TESTS, generate two additional tests, -# one using stdin, the other using a pipe. I.e., given this one +# one using stdin, the other using a pipe. I.e., given this one # ['idem-0', {IN=>''}, {OUT=>''}], # generate these: # ['idem-0.r', '<', {IN=>''}, {OUT=>''}], diff --git a/tests/df/df-symlink.sh b/tests/df/df-symlink.sh index 44f954134..b59309788 100755 --- a/tests/df/df-symlink.sh +++ b/tests/df/df-symlink.sh @@ -31,7 +31,7 @@ compare exp out || fail=1 # Ensure we output the same values for device nodes and '.' # This was not the case in coreutil-8.22 on systems # where the device in the mount list was a symlink itself. -# I.E. '.' => /dev/mapper/fedora-home -> /dev/dm-2 +# I.e., '.' => /dev/mapper/fedora-home -> /dev/dm-2 df --out=source,target '.' > out || fail=1 compare exp out || fail=1 diff --git a/tests/df/skip-rootfs.sh b/tests/df/skip-rootfs.sh index c42253dc3..a3b68e9b2 100755 --- a/tests/df/skip-rootfs.sh +++ b/tests/df/skip-rootfs.sh @@ -23,7 +23,7 @@ df || skip_ "df fails" # Verify that rootfs is in mtab (and shown when the -a option is specified). # Note this is the case when /proc/self/mountinfo is parsed -# rather than /proc/mounts. I.E. when libmount is being used. +# rather than /proc/mounts. I.e., when libmount is being used. df -a >out || fail=1 grep '^rootfs' out || skip_ 'no rootfs in mtab' diff --git a/tests/init.sh b/tests/init.sh index added1760..ac1e1a211 100755 --- a/tests/init.sh +++ b/tests/init.sh @@ -95,7 +95,7 @@ framework_failure_ () { warn_ "$ME_: set-up failure: $@"; Exit 99; } # This is used to simplify checking of the return value # which is useful when ensuring a command fails as desired. -# I.E. just doing `command ... &&fail=1` will not catch +# I.e., just doing `command ... &&fail=1` will not catch # a segfault in command for example. With this helper you # instead check an explicit exit code like # returns_ 1 command ... || fail diff --git a/tests/ls/color-norm.sh b/tests/ls/color-norm.sh index 2e35757c4..8d86f19af 100755 --- a/tests/ls/color-norm.sh +++ b/tests/ls/color-norm.sh @@ -1,6 +1,6 @@ #!/bin/sh # Ensure "ls --color" properly colors "normal" text and files. -# I.E. that it uses NORMAL to style non file name output and +# I.e., that it uses NORMAL to style non file name output and # file names with no associated color (unless FILE is also set). # Copyright (C) 2010-2015 Free Software Foundation, Inc. diff --git a/tests/misc/basename.pl b/tests/misc/basename.pl index 341bd7f62..7b0ea7dd0 100755 --- a/tests/misc/basename.pl +++ b/tests/misc/basename.pl @@ -71,7 +71,7 @@ my @Tests = ); # Append a newline to end of each expected 'OUT' string. -# Skip -z tests, i.e. those whose 'OUT' string has a trailing '\0'. +# Skip -z tests, i.e., those whose 'OUT' string has a trailing '\0'. my $t; foreach $t (@Tests) { diff --git a/tests/misc/ls-misc.pl b/tests/misc/ls-misc.pl index 03371a266..f88c7a8ea 100755 --- a/tests/misc/ls-misc.pl +++ b/tests/misc/ls-misc.pl @@ -266,7 +266,7 @@ my @Tests = # The patch associated with sl-dangle[678] introduced a regression # that was fixed after coreutils-8.19. This edge case triggers when # listing a dir containing dangling symlinks, but with orphans uncolored. - # I.E. the same as the previous test, but listing the directory + # I.e., the same as the previous test, but listing the directory # rather than the symlink directly. ['sl-dangle9', '--color=always d', {OUT => "$e\e[1;36ms$e\n"}, diff --git a/tests/misc/md5sum-bsd.sh b/tests/misc/md5sum-bsd.sh index a092894b5..c5069f351 100755 --- a/tests/misc/md5sum-bsd.sh +++ b/tests/misc/md5sum-bsd.sh @@ -25,7 +25,7 @@ print_ver_ md5sum # Ensure we can --check BSD alternate format. # Note we start this list with a name # that's unambiguous in BSD format. -# I.E. one not starting with ' ' or '*' +# I.e., one not starting with ' ' or '*' for i in 'a' ' b' '*c' 'dd' ' '; do echo "$i" > "$i" md5sum "$i" >> check.md5sum diff --git a/tests/misc/shred-exact.sh b/tests/misc/shred-exact.sh index 15ac4facc..679e2675d 100755 --- a/tests/misc/shred-exact.sh +++ b/tests/misc/shred-exact.sh @@ -37,7 +37,7 @@ done # make sure direct I/O is handled appropriately at end of file # Create a 1MiB file as we'll probably not be using blocks larger than that -# (i.e. we want to test failed writes not at the start). +# (i.e., we want to test failed writes not at the start). truncate -s1MiB file.slop || framework_failure_ truncate -s+1 file.slop || framework_failure_ shred --exact -n2 file.slop || fail=1 diff --git a/tests/misc/sort.pl b/tests/misc/sort.pl index 8aedb66f1..f6a222c2c 100755 --- a/tests/misc/sort.pl +++ b/tests/misc/sort.pl @@ -271,11 +271,11 @@ my @Tests = ["18e", '-nb -k1.1,1.2', {IN=>" 901\n100\n"}, {OUT=>"100\n 901\n"}], # When ignoring leading blanks for end position, ensure blanks from -# next field are not included in the sort. I.E. order should not change here. +# next field are not included in the sort. I.e., order should not change here. ["18f", '-k1,1b', {IN=>"a y\na z\n"}, {OUT=>"a y\na z\n"}], # When ignoring leading blanks for start position, ensure blanks from -# next field are not included in the sort. I.E. order should not change here. +# next field are not included in the sort. I.e., order should not change here. # This was noticed as an issue on fedora 8 (only in multibyte locales). ["18g", '-k1b,1', {IN=>"a y\na z\n"}, {OUT=>"a y\na z\n"}, {ENV => "LC_ALL=$mb_locale"}], diff --git a/tests/misc/stdbuf.sh b/tests/misc/stdbuf.sh index 705764772..bb1d40ca5 100755 --- a/tests/misc/stdbuf.sh +++ b/tests/misc/stdbuf.sh @@ -87,7 +87,7 @@ stdbuf_unbuffer() retry_delay_ stdbuf_unbuffer .1 6 || fail=1 # Ensure un buffering stdin takes effect -# The following works for me, but is racy. I.E. we're depending +# The following works for me, but is racy. I.e., we're depending # on dd to run and close the fifo before the second write by uniq. # If we add a sleep, then we're just testing -oL # printf '3\n' > exp diff --git a/tests/misc/tac-continue.sh b/tests/misc/tac-continue.sh index 5f97882cd..9078cd58d 100755 --- a/tests/misc/tac-continue.sh +++ b/tests/misc/tac-continue.sh @@ -35,7 +35,7 @@ fi fp_tmp="$FULL_PARTITION_TMPDIR/tac-cont-$$" cleanup_() { rm -f "$fp_tmp"; } -# Make sure we can create an empty file there (i.e. no shortage of inodes). +# Make sure we can create an empty file there (i.e., no shortage of inodes). if ! touch $fp_tmp; then echo "$0: $fp_tmp: cannot create empty file" 1>&2 Exit 1 diff --git a/tests/rm/r-root.sh b/tests/rm/r-root.sh index e8fe714af..74d1a2a62 100755 --- a/tests/rm/r-root.sh +++ b/tests/rm/r-root.sh @@ -244,7 +244,7 @@ exercise_rm_r_root --interactive=never --no-preserve-root '/' \ grep "^rm: it is dangerous to operate recursively on '/'" err && fail=1 # Instead, rm(1) should have called the intercepted unlinkat() function, -# i.e. the evidence file "x" should exist. +# i.e., the evidence file "x" should exist. test -f x || fail=1 test $fail = 1 && { cat out; cat err; } diff --git a/tests/tail-2/symlink.sh b/tests/tail-2/symlink.sh index 2098b9634..300cb139b 100755 --- a/tests/tail-2/symlink.sh +++ b/tests/tail-2/symlink.sh @@ -48,7 +48,7 @@ grep '^X$' out || { fail=1; cat out; } rm -f target out || framework_failure_ # Ensure we correctly handle the source symlink itself changing. -# I.E. that we don't operate solely on the targets. +# I.e., that we don't operate solely on the targets. # Clear 'out' so that we can check its contents without races. >out || framework_failure_ echo "X1" > target1 || framework_failure_ @@ -70,7 +70,7 @@ grep '^X2$' out || { fail=1; cat out; } rm -f target1 target2 out || framework_failure_ # Note other symlink edge cases are currently just diagnosed -# rather than being handled. I.E. if you specify a missing item, +# rather than being handled. I.e., if you specify a missing item, # or existing file that later change to a symlink, if inotify # is in use, you'll get a diagnostic saying that link will # no longer be tailed. |